# volume snapshot

Block Storage v2, v3

## volume snapshot create

Create new volume snapshot

    openstack volume snapshot create
        [--volume <volume>]
        [--description <description>]
        [--force]
        [--property <key=value>]
        [--remote-source <key=value>]
        <snapshot-name>

--volume <volume>

  Volume to snapshot (name or ID) (default is <snapshot-name>)

--description <description>

  Description of the snapshot

--force

  Create a snapshot attached to an instance. Default is False

--property <key=value>

  Set a property to this snapshot (repeat option to set multiple properties)

--remote-source <key=value>

  The attribute(s) of the existing remote volume snapshot (admin required) (repeat option to specify multiple attributes) e.g.: ‘–remote-source source-name=test_name –remote-source source-id=test_id’

snapshot-name

  Name of the new snapshot

## volume snapshot delete

Delete volume snapshot(s)

    openstack volume snapshot delete
        [--force]
        [--remote]
        <snapshot>
        [<snapshot> ...]

--force

  Attempt forced removal of snapshot(s), regardless of state (defaults to False)

--remote

  Unmanage the snapshot, removing it from the Block Storage service management but not from the backend.

snapshot

  Snapshot(s) to delete (name or ID)

## volume snapshot list

List volume snapshots

    openstack volume snapshot list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--project <project>]
        [--project-domain <project-domain>]
        [--long]
        [--name <name>]
        [--status <status>]
        [--volume <volume>]
        [--limit <limit>]
        [--marker <marker>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Include all projects (admin only)

--project <project>

  Filter results by project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--long

  List additional fields in output

--name <name>

  Filters results by a name.

--status <status>

  Filters results by a status. (‘available’, ‘error’, ‘creating’, ‘deleting’ or ‘error_deleting’)

--volume <volume>

  Filters results by a volume (name or ID).

--limit <limit>

  The maximum number of entries to return. If the value exceeds the server-defined maximum, then the maximum value will be used.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

## volume snapshot set

Set volume snapshot properties

    openstack volume snapshot set
        [--name <name>]
        [--description <description>]
        [--no-property]
        [--property <key=value>]
        [--state <state>]
        <snapshot>

--name <name>

  New snapshot name

--description <description>

  New snapshot description

--no-property

  Remove all properties from <snapshot> (specify both –no-property and –property to remove the current properties before setting new properties.)

--property <key=value>

  Property to add/change for this snapshot (repeat option to set multiple properties)

--state <state>

  New snapshot state. (“available”, “error”, “creating”, “deleting”, or “error_deleting”) (admin only) (This option simply changes the state of the snapshot in the database with no regard to actual status, exercise caution when using)

snapshot

  Snapshot to modify (name or ID)

## volume snapshot show

Display volume snapshot details

    openstack volume snapshot show <snapshot>

snapshot

  Snapshot to display (name or ID)

## volume snapshot unset

Unset volume snapshot properties

    openstack volume snapshot unset [--property <key>] <snapshot>

--property <key>

  Property to remove from snapshot (repeat option to remove multiple properties)

snapshot

  Snapshot to modify (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.